/*
 * $Id: font.h 494 2021-07-21 11:46:11Z true $
 * begin 20190525 true
 */

#ifndef USER_RENDER_FONT_STATIC_H_
#define USER_RENDER_FONT_STATIC_H_



#include <stdint.h>



#define FONT_JUMPTABLE_BYTES    4

#define FONT_JUMPTABLE_MSB      0
#define FONT_JUMPTABLE_LSB      1
#define FONT_JUMPTABLE_SIZE     2
#define FONT_JUMPTABLE_WIDTH    3
#define FONT_JUMPTABLE_START    4

#define FONT_WIDTH_POS          0
#define FONT_HEIGHT_POS         1
#define FONT_FIRST_CHAR_POS     2
#define FONT_CHAR_NUM_POS       3



typedef struct FontTable {
    uint8_t tag_allowed;
    const char *name;
    const uint8_t *font;
} FontTable;



extern const uint8_t font_Dialog_plain_8[];
extern const uint8_t font_DejaVu_Sans_Mono_Bold_11[];
extern const uint8_t font_Nimbus_Mono_L_Bold_20[];
extern const uint8_t font_DialogInput_Bold_24[];
extern const uint8_t font_Chewy_24[];
extern const uint8_t font_Crushed_25[];
extern const uint8_t font_Nimbus_Sans_L_25[];
extern const uint8_t font_Orbitron_28[];

extern const FontTable font_table[8];



#endif /* USER_RENDER_FONT_STATIC_H_ */
